Update document filing
curl --request POST \
--url https://cases.platform.arb.inc/filings/documents/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00292",
"filingID": "2720f109-0caf-4c62-af22-5d08c853711c",
"fields": {
"claimantName": "John Smith",
"respondentName": "Jane Doe"
}
}
'import requests
url = "https://cases.platform.arb.inc/filings/documents/update"
payload = {
"caseID": "2025-08-00292",
"filingID": "2720f109-0caf-4c62-af22-5d08c853711c",
"fields": {
"claimantName": "John Smith",
"respondentName": "Jane Doe"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseID: '2025-08-00292',
filingID: '2720f109-0caf-4c62-af22-5d08c853711c',
fields: {claimantName: 'John Smith', respondentName: 'Jane Doe'}
})
};
fetch('https://cases.platform.arb.inc/filings/documents/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Document filing updated successfully"filings
Update document filing
Updates the field values of a document filing that has not yet been submitted. Submitted documents cannot be updated.
POST
/
filings
/
documents
/
update
Update document filing
Authorizations
access token
Body
application/json
Response
200 - text/plain
Successfully updated document filing
The response is of type string.
Example:
"Document filing updated successfully"
⌘I